Subject: Re: What's cooking in git.git (Apr 2011, #01; Sun, 3)

From: Michael J Gruber <[email-masked]>
Date: Mon, 04 Apr 2011 12:40:35 +0200

Junio C Hamano venit, vidit, dixit 04.04.2011 01:21:
> Here are the topics that have been cooking.  Commits prefixed with '-' are
> only in 'pu' while commits prefixed with '+' are in 'next'.
> 
> Hopefully we will have 1.7.5-rc1 coming Wednesday.
> 
> --------------------------------------------------
> [New Topics]
> * jc/rev-list-options-fix (2011-04-01) 1 commit
>   (merged to 'next' on 2011-04-03 at 91f19de)
>  + "log --cherry-pick" documentation regression fix
> 
> We should merge this before -rc1, but there might be other similar
> breakages in the text flow due to the same f98fd43 (git-log.txt,
> rev-list-options.txt: put option blocks in proper order, 2011-03-08).

I rechecked and didn't find any other mis-references. Some commit
limiting options mention commit formatters like "--pretty", but I deem
that to be okay without an explicit "see below".

> * mg/doc-revisions-txt (2011-04-01) 3 commits
>  - revisions.txt: language improvements
>  - revisions.txt: structure with a labelled list
>  - revisions.txt: consistent use of quotes
> 
> Most parts looked reasonable except for some nits.

Should I resubmit or have you squashed that in already?

> 
> * mg/reflog-with-options (2011-04-01) 3 commits
>   (merged to 'next' on 2011-04-03 at e69a95c)
>  + reflog: fix overriding of command line options
>  + t/t1411: test reflog with formats
>  + builtin/log.c: separate default and setup of cmd_log_init()
>  (this branch is used by mg/show-without-prune.)
> 
> Reasonable, but can wait.

Well, can be considered bugfix, but not a regression fix.

> 
> * mg/show-without-prune (2011-04-01) 1 commit
>  - builtin/show: do not prune by pathspec
>  (this branch uses mg/reflog-with-options.)
> 
> I wanted to like this, but it still feels like too much magic.

...with a little less magic suggested now (act on single no-walk rev only).

> * mg/sha1-path-advise (2011-03-31) 2 commits
>  - sha1_name: Suggest commit:./file for path in subdir
>  - t1506: factor out test for "Did you mean..."
> 

Should I resubmit with "commit:./file" only, or is that too late anyways?

> --------------------------------------------------
> [Cooking]
> 
> * jc/diff-irreversible-delete (2011-02-28) 1 commit
>   (merged to 'next' on 2011-04-03 at 5a23b23)
>  + git diff -D: omit the preimage of deletes
> 
> Unstuck, thanks to Michael J Gruber.

and to Junio for taking up the sticks ;)

> * mg/grep-full-tree (2011-03-01) 2 commits
>  . grep: make --full-tree work with pathspecs
>  . grep: --full-tree
> 
> It would be preferable to use ":/" or whatever magic pathspec that is
> relative to the root of the working tree.

I think we can drop it, it's clear we're going for ":/" or the like, and
it's clear that won't be before 1.7.5.

Michael